Page MenuHomePhabricator

Selser regression: pages with templates that generate tables and foster content out of the table are broken
Closed, ResolvedPublic

Description

At http://en.wikipedia.org/wiki/Raven-Symon%C3%A9?oldid=566906720 , if you edit anything in the document, the infobox is deleted, but if you make a null edit, the infobox is retained.

This appears to be a bug in selser: if the HTML doesn't change, the wikitext doesn't change, but any small change in the HTML results in the infobox being deleted. I verified that VisualEditor isn't dirtying anything, but just to be sure I also reproduced this on the command line by just making a 1-character change to the HTML as shown below.

I think this may have something to do with the double }} closing in the infobox.

$ mkdir tmp
$ cd tmp
$ wget 'http://parsoid.wmflabs.org/en/Raven-Symon%C3%A9?oldid=566906720' -O originalHTML
$ wget 'http://en.wikipedia.org/wiki/Raven-Symon%C3%A9?oldid=566906720&action=raw' -O originalWikitext
$ cp originalHTML editedHTML
$ vi editedHTML # Change '<h2>Life and career</h2>' to '<h2>Life and careeer</h2>'
$ node parse.js --html2wt --selser --oldtextfile originalWikitext --oldhtmlfile originalHTML --inputfile editedHTML > newWikitext
$ diff -u originalWikitext newWikitext

  • /home/catrope/tmp/originalWikitext 2013-08-08 14:34:46.463998552 +0800

+++ /home/catrope/tmp/newWikitext 2013-08-08 17:04:41.596239434 +0800
@@ -1,29 +1,7 @@
{{Use mdy dates|date=June 2013}}
{{pp-move-indef}}
-{{Infobox person
-| image = Raven-Symoné 2011.jpg
-| caption = Raven-Symoné in 2011
-| birth_name = Raven-Symoné Christina Pearman
-| alias = Raven<BR>Raven-Symone
-| background = solo_singer
-| instrument = [[Singing|Vocals]], [[piano]]
-| birth_date = {{birth date and age|mf=yes|1985|12|10}}
-| birth_place = [[Atlanta]], [[Georgia (U.S. state)|Georgia]], U.S.<ref>{{cite web |url=http://movies.msn.com/celebrities/celebrity-biography/raven-symone/|title=Raven Symone:Biography on MSN |accessdate=2008-07-15 |year=2008 |publisher=[[MSN]]}}</ref>
-| genre =
-| occupation = Actress, singer, [[comedienne]], dancer, television producer, [[fashion model]]
-| years_active = 1989–present
-| label = [[MCA Records|MCA]], Crash, RayBlaze, [[Hollywood Records|Hollywood]]
-| associated_acts = [[The Cheetah Girls (band)|The Cheetah Girls]]
-| website = [http://www.myspace.com/ravensymone Raven-Symoné Myspace page]
-| module = {{Infobox musical artist|embed=yes
-| background = solo_singer
-| genre = [[Contemporary R&B|R&B]], [[pop music|pop]], [[Hip hop music|hip hop]], [[Soul music|soul]], [[dance music|dance]]
-| instrument = Vocals, [[piano]]
-| years_active = 1993–present
-}}

-}}
'''Raven-Symoné Christina Pearman'''<ref>[http://www.mlive.com/entertainment/saginaw/index.ssf/2008/08/ravensymone_steps_out_of_chara.html]</ref>, (born December 10, 1985), known professionally as '''Raven-Symoné''' (pronounced {{IPA|/ˈreɪ.vən sɪˈmoʊn/}}, as though unaccented), or simply '''Raven''', is an American actress and singer. Raven-Symoné launched her career in 1989 after appearing in ''[[The Cosby Show]]''<!-- Per http://www.imdb.com/name/nm0712368/filmoseries#tt0086687 her first episode of "A Different World" was Nov. 2, 1989, while her first Cosby Show episode was Sept 21, 1989. --> as Olivia. She released her debut album, ''[[Here's to New Dreams]]'' in 1993; the single, "[[That's What Little Girls Are Made Of]]" charted number 68 on the US ''Billboard'' [[Hot 100]].<ref>[http://www.billboard.com/song/raven-symone/that-s-what-little-girls-are-made-of/450772#/song/raven-symone/that-s-what-little-girls-are-made-of/450772 That's What Little Girls Are Made Of – Raven-Symoné]. Billboard.com. Retrieved 2012-05-19.</ref> The next album, ''[[Undeniable (Raven-Symoné album)|Undeniable]]'', was released on May 4, 1999.

Raven-Symoné appeared in several successful television series, such as ''[[The Cosby Show]]'' and ''[[Hangin' with Mr. Cooper]]'', in the late 1980s and early 1990s. From 2003 to 2007, she starred in the [[Disney Channel]] series, ''[[That's So Raven]]'' in which she played Raven Baxter, a psychic teenager who tried her best to keep her psychic powers a secret. During her time on ''That's So Raven'', Raven-Symoné released her third studio album, ''[[This Is My Time (Raven-Symoné album)|This is My Time]]'' (2004) which was her best selling solo album to date, charting at number 51 on the ''Billboard'' 200.<ref name="billboard.com">[{{BillboardURLbyName|artist=raven-symoné|chart=Billboard 200}} Raven-Symoné]. Billboard.com. Retrieved 2012-05-19.</ref> After a year of the end of ''That's So Raven'', she released her fourth studio album, ''[[Raven-Symoné (album)|Raven-Symoné]]'' (2008). The album peaked at number 159 on the ''Billboard'' 200. During 2003 to 2006, she participated in four soundtracks from Disney, [[RIAA certification|RIAA-certified]] double-platinum album, ''[[The Cheetah Girls (soundtrack)|The Cheetah Girls]]'' (2003), RIAA-certified gold album, ''[[That's So Raven (soundtrack)|That's So Raven]]'' (2004), ''[[That's So Raven Too!]]'' (2006) and RIAA-certified platinum album, ''[[The Cheetah Girls 2 (soundtrack)|The Cheetah Girls 2]]'' (2006). The soundtracks sold a combined 4.1 million copies in the U.S. alone. As of April 2008, Raven-Symoné has sold 314,000 albums in the United States.
@@ -32,7 +10,7 @@

In 2012, Raven-Symoné ranked number eight on ''[[VH1]]''{{'s}} "100 Greatest Kid Stars Of All Time" list,<ref name="GKSAT">[http://blog.vh1.com/2012-12-02/and-the-1-greatest-kid-star-of-all-time-is/ Greatest Kid Star Of All Time]</ref> and ranked number one on ''Loop21''{{'s}} "10 Richest Black Actresses Under 40" list.<ref name="RBAU40">[http://www.loop21.com/entertainment/10-richest-black-actresses-under-40 10 Richest Black Actresses Under 40]</ref>

-==Life and career==
+==Life and careeer==

===1985–99: Early life and career beginnings with ''The Cosby Show''===
Raven-Symoné was born in Atlanta, Georgia to Lydia (née Gaulden) and Christopher B. Pearman. Raven-Symoné is of [[African-American]] <ref>http://www.tv.com/people/raven-symone/</ref><ref>http://xfinity.comcast.net/slideshow/entertainment-aachildactors/3/</ref><ref>http://ethnicelebs.com/raven-symone</ref><ref name="imdb">http://www.imdb.com/name/nm0712368/bio</ref><ref>http://www.nndb.com/people/017/000103705/</ref> and [[Native Americans in the United States|Native American]] ancestry.<ref name="imdb" /> At age three, her family moved to [[Ossining (village), New York|Ossining, New York]] where she attended Park School.<ref name="birthplace">Charlotte Moore (January 25, 2004). [http://www.pe.com/lifestyles/teen/stories/PE_Fea_Teen_raven0125.a11bc.html Raven takes flight]{{dead link|date=September 2011}} PE.com.</ref><ref>[http://ftp.rootsweb.com/pub/usgenweb/la/winn/bios/sym1569.txt Rootsweb.com]{{Dead link|date=May 2010}}</ref> As an infant, she worked for Atlanta's Young Faces Inc. Modeling Agency and was featured in local print advertisements. At age two, she worked with Ford Models in New York City and appeared in ads for [[Ritz cracker]]s, [[gelatin dessert|Jell-O]], [[Fisher-Price]], and [[Cool Whip]].


Version: unspecified
Severity: normal

Details

Reference
bz52638

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:59 AM
bzimport set Reference to bz52638.
Catrope created this task.Aug 8 2013, 9:22 AM

Confirmed.

It is not a double-closed infobox. It is an infobox within an infobox. Although, I have gone through a number of these scenarios of infoboxes within infoboxes earlier and handled them in our regular serializer ... and confirmed that normal WTS (wt serializer) can handle it. Now examining what gives selser the fits.

Thanks for the thorough testing and a way to reproduce it. Will find a reduced test case and proceed.

Reduced test case on which the problem can be reproduced:

{|
{{echo|a}}

-
x

}}

This is a selser regression introduced by a fix for bug 51217.

A fix will be in shortly.

Change 78242 had a related patch set uploaded by Subramanya Sastry:
(Bug 52638) Fix selser regression introduced by fix for bug 51217

https://gerrit.wikimedia.org/r/78242

Change 78242 merged by jenkins-bot:
(Bug 52638) Fix selser regression introduced by fix for bug 51217

https://gerrit.wikimedia.org/r/78242

Fix deployed -- cache is not yet purged, but on purge tomorrow, this will be fixed.

Cache is now purged. I tested on http://en.wikipedia.org/wiki/Crayon_Shin-chan (another page that had been reported with the bug) and verified fixed.